Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/users/postapi-v-1-users

# Create user

POST `https://{tenant}.atomicwork.com/api/v1/users`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### send\_email (query, boolean)

Send welcome email or not

## Body

#### first\_name (body, string)

#### middle\_name (body, string)

#### last\_name (body, string)

#### email (body, string)

#### personal\_email (body, string)

#### timezone (body, string)

#### language (body, string)

#### department (body, integer)

#### team (body, integer)

#### level (body, string)

#### title (body, string)

#### address (body, string)

#### originally\_hired (body, string)

#### joined\_on (body, string)

#### terminated\_on (body, string)

#### employee\_id (body, string)

#### date\_of\_birth (body, string)

#### phone\_number (body, string)

#### gender (body, string)

#### state (body, string)

#### city (body, string)

#### country (body, string)

#### hr (body, integer)

#### manager (body, integer)

#### is\_deleted (body, boolean)

#### deleted\_at (body, string)

#### employment\_status (body, string)

#### slack\_id (body, string)

#### azure\_id (body, string)

#### external\_id (body, string)

#### external\_app\_type (body, enum (string))

#### org\_roles (body, array of integer)

#### password (body, string)

#### profile\_image (body, integer)

#### custom\_fields (body, object)

#### has\_reporters (body, boolean)

#### type (body, enum (string))

#### workspaces (body, array of object)

#### properties

#### id (integer)

#### roles (array of integer)

#### notification\_enabled (body, boolean)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/users' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"first_name": "string", "middle_name": "string", "last_name": "string", "email": "email", "personal_email": "email", "timezone": "string", "language": "string", "department": 0, "team": 0, "level": "string", "title": "string", "address": "string", "originally_hired": "date", "joined_on": "date", "terminated_on": "date", "employee_id": "string", "date_of_birth": "date", "phone_number": "string", "gender": "string", "state": "string", "city": "string", "country": "string", "hr": 0, "manager": 0, "is_deleted": true, "deleted_at": "date-time", "employment_status": "string", "slack_id": "string", "azure_id": "string", "external_id": "string", "external_app_type": "MICROSOFT", "org_roles": [0], "password": "string", "profile_image": 0, "custom_fields": {}, "has_reporters": true, "type": "EMPLOYEE", "workspaces": [{"id": 0, "roles": ["\u2026"]}], "notification_enabled": true}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/users', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"first_name": "string", "middle_name": "string", "last_name": "string", "email": "email", "personal_email": "email", "timezone": "string", "language": "string", "department": 0, "team": 0, "level": "string", "title": "string", "address": "string", "originally_hired": "date", "joined_on": "date", "terminated_on": "date", "employee_id": "string", "date_of_birth": "date", "phone_number": "string", "gender": "string", "state": "string", "city": "string", "country": "string", "hr": 0, "manager": 0, "is_deleted": true, "deleted_at": "date-time", "employment_status": "string", "slack_id": "string", "azure_id": "string", "external_id": "string", "external_app_type": "MICROSOFT", "org_roles": [0], "password": "string", "profile_image": 0, "custom_fields": {}, "has_reporters": true, "type": "EMPLOYEE", "workspaces": [{"id": 0, "roles": ["\u2026"]}], "notification_enabled": true}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/users',
    headers={'X-Api-Key': '<api-key>'},
    json={"first_name": "string", "middle_name": "string", "last_name": "string", "email": "email", "personal_email": "email", "timezone": "string", "language": "string", "department": 0, "team": 0, "level": "string", "title": "string", "address": "string", "originally_hired": "date", "joined_on": "date", "terminated_on": "date", "employee_id": "string", "date_of_birth": "date", "phone_number": "string", "gender": "string", "state": "string", "city": "string", "country": "string", "hr": 0, "manager": 0, "is_deleted": true, "deleted_at": "date-time", "employment_status": "string", "slack_id": "string", "azure_id": "string", "external_id": "string", "external_app_type": "MICROSOFT", "org_roles": [0], "password": "string", "profile_image": 0, "custom_fields": {}, "has_reporters": true, "type": "EMPLOYEE", "workspaces": [{"id": 0, "roles": ["\u2026"]}], "notification_enabled": true}
)
data = res.json()
```
